Subject: Re: [PATCH v3 11/11] powerpc: rewrite local_t using soft_irq

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 15 Nov 2016 20:35:44 +1100

On Tue, 2016-11-15 at 09:06 +0100, Gabriel Paubert wrote:
> 
> I'm really wondering whether this is the kind of thing that would
> benefit from transactions. But transactional memory was only implemented
> on Power7 and later IIRC, and we still need to support machines without
> transactional memory. 

Power8 and later.

Also this is about *local* atomics not general atomics, so the overhead
of starting a transaction in that case is way way higher than the
proposed implementation.

Cheers,
Ben.